<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:p="http://primefaces.org/ui"
      xmlns:f="http://xmlns.jcp.org/jsf/core">
    <ui:composition template="/WEB-INF/template/layout.xhtml">
        <!-- TITULO DE LA PAGINA -->
        <ui:define name="title">Branch Offices</ui:define>
        <style>
            .fondo{background-color: aqua}
        </style>
        <ui:define name="content">
            <!-- CONTENIDO -->
            <p:growl>
                <p:autoUpdate/>
            </p:growl>
            <!-- BOTONES -->
            <!--<p:commandButton value="BOTON" onclick="PF('Wnew').show();" class="button" />-->
            <p:commandButton value="Nuevo Branch" onclick="PF('wnew').show();" class="icon icon-plus button" />
            <!--<p:commandButton value="" onclick="PF('Wnew').show();" class="icon icon-plus button" />-->

            <!-- TABLA -->
            <h:form id="dataTable1">


                <p:dataTable var="c" value="#{branchOfficeController.findAllBranch()}" reflow="true" widgetVar="DTable" emptyMessage="No se encontraron elementos">

                    <f:facet name="header">
                        <!-- TITULO DE LA TABLA -->
                        <div class="dataTable-title">Sucursales</div>
                        <!-- BARRA DE BUSQUEDA -->
                        <p:inputText id="globalFilter" onkeyup="PF('DTable').filter();" class="dataTable-filter" placeholder="Escriba palabra clave"/>
                    </f:facet>

                    <p:column headerText="ID" filterBy="#{c.idBranchOffice}" filterable="false">
                        <h:outputText value="#{c.idBranchOffice}" />
                    </p:column>
                    <p:column headerText="NOMBRE" filterBy="#{c.boName}" filterable="false">
                        <h:outputText value="#{c.boName}" />
                    </p:column>
                    <p:column headerText="Municipio" filterBy="#{c.boMunicipality.municipalityName}" filterable="false">
                        <h:outputText value="#{c.boMunicipality.municipalityName}" />
                    </p:column>
                    <p:column headerText="Dirección" filterBy="#{c.boAddress}" filterable="false">
                        <h:outputText value="#{c.boAddress}" />
                    </p:column>
                    <p:column headerText="Estado" filterBy="#{c.boStatus.bosName}" filterable="false">
                        <h:outputText value="#{c.boStatus.bosName}"/>
                    </p:column>
                    <p:column>
                        <p:menuButton value="Acciones" class="menu-button">
                            <p:menuitem value="Editar" class="icon icon-pencil menu-item" action="#{branchOfficeController.findBranch(c.idBranchOffice)}" onclick="PF('Wedit').show();" update="Uedit" />
                        </p:menuButton>
                    </p:column>
                </p:dataTable>
            
            </h:form>


            <!-- VENTANA NUEVO -->
            <p:dialog  id="wnew" widgetVar="wnew" modal="true" showEffect="fade" hideEffect="fade" header="NUEVO" resizable="false" class="dialog-w">
                <h:form id="Cnew">
                    <p:panelGrid columns="2" class="fondo">
                        <h:outputLabel value="Nombre:" for="nom" />
                        <p:inputText id="nom" value="#{branchOfficeController.branch.boName}" required="true" requiredMessage="Ingrese nombre" />

                        <h:outputLabel value="Municipalidad:"/>
                        <p:selectOneMenu value="#{branchOfficeController.municipalityid}">
                            <f:selectItems value="#{select.listMunicipality}" var="muni" itemLabel="#{muni.municipalityName}" itemValue="#{muni.idMunicipality}"/>
                        </p:selectOneMenu>

                        <h:outputLabel value="Dirección:" for="dir" />
                        <p:inputText id="dir" value="#{branchOfficeController.branch.boAddress}" required="true" requiredMessage="Ingrese dirección" />

                        <h:outputLabel value="Estado"/>
                        <p:selectOneMenu value="#{branchOfficeController.statusid}" required="true" >
                            <f:selectItems value="#{select.listbos}" var="b" itemLabel="#{b.bosName}" itemValue="#{b.idBranchOfficeStatus}"/>
                        </p:selectOneMenu>
                        
                        <p:commandButton actionListener="#{branchOfficeController.createBranch()}" value="Guardar" update="dataTable1" class="icon icon-floppy-disk" onclick="PF('wnew').hide()"/>
                    </p:panelGrid>
                </h:form>
            </p:dialog>

            <!-- VENTANA EDITAR -->            
            <p:dialog widgetVar="Wedit" modal="true" showEffect="fade" hideEffect="fade" header="EDITAR" resizable="false">
                <h:form id="Uedit">
                    <p:panelGrid columns="2" class="fondo">
                        <h:outputLabel value="NOMBRE:" for="nom" />
                        <p:inputText id="nom" value="#{branchOfficeController.branch.boName}" required="true" requiredMessage="Ingrese nombre" />

                        <h:outputLabel value="Municipalidad"/>
                        <p:selectOneMenu value="#{branchOfficeController.municipalityid}">
                            <f:selectItems value="#{select.listMunicipality}" var="muni" itemLabel="#{muni.municipalityName}" itemValue="#{muni.idMunicipality}"/>
                        </p:selectOneMenu>

                        <h:outputLabel value="DIRECCION:" for="dir" />
                        <p:inputText id="dir" value="#{branchOfficeController.branch.boAddress}" required="true" requiredMessage="Ingrese dirección" />
                        
                        <h:outputLabel value="Estado"/>
                        <p:selectOneMenu value="#{branchOfficeController.statusid}" required="true" >
                            <f:selectItems value="#{select.listbos}" var="b" itemLabel="#{b.bosName}" itemValue="#{b.idBranchOfficeStatus}"/>
                        </p:selectOneMenu>
                        
                        <p:commandButton actionListener="#{branchOfficeController.createBranch()}" value="Guardar" update="dataTable" class="icon icon-floppy-disk" onclick="PF('wnew').hide()"/>
                     
                    </p:panelGrid>
                </h:form>
            </p:dialog>

        </ui:define>
    </ui:composition>
</html>

